---
- name: "📁 create dashboard data directories"
  ansible.builtin.file:
    path: "{{ volume_root_dir }}/dashboard/letscript_vol/{{ item }}"
    state: directory
    # TODO: use proper user id with podman unshare or setting GID/UID instead of opening permissions for everyone
    # mode: 0777
    owner: "{{ app_user }}"
    ansible.builtin.group: "{{ app_group }}"
    # recurse: true
  with_items:
    - "letscript_vol"

- name: create signal data directories
  ansible.builtin.file:
    path: "{{ volume_root_dir }}/signal/{{ item }}"
    state: directory
    # TODO: use proper user id with podman unshare or setting GID/UID instead of opening permissions for everyone
    # mode: 0777
    owner: "{{ app_user }}"
    ansible.builtin.group: "{{ app_group }}"
    # recurse: true
  with_items:
    - "signal_conf"

- name: create management data directories
  ansible.builtin.file:
    path: "{{ volume_root_dir }}/management/{{ item }}"
    state: directory
    # TODO: use proper user id with podman unshare or setting GID/UID instead of opening permissions for everyone
    # mode: 0777
    owner: "{{ app_user }}"
    ansible.builtin.group: "{{ app_group }}"
    # recurse: true
  with_items:
    - "management_netbird"
    - "management_json"

- include_tasks: roles/container_base/tasks/create_container.yml
  vars:
    app_name: "netbird_dashboard"
    app_image: "docker.io/wiretrustee/dashboard:main"
    app_dir_volumes:
      - "{{ volume_root_dir }}/letscript_vol:/etc/letsencrypt:Z,rbind,noexec"
    app_env:
      AUTH_AUDIENCE: "{{NETBIRD_AUTH_AUDIENCE}}"
      AUTH_CLIENT_ID: "{{NETBIRD_AUTH_CLIENT_ID}}"
      OIDC_TRUSTED_DOMAINS: "{{OIDC_TRUSTED_DOMAINS}}"
      AUTH_AUTHORITY: "{{NETBIRD_AUTH_AUTHORITY}}"
      USE_AUTH0: "{{NETBIRD_USE_AUTH0}}"
      AUTH_SUPPORTED_SCOPES: "{{NETBIRD_AUTH_SUPPORTED_SCOPES}}"
      NETBIRD_MGMT_API_ENDPOINT: "{{NETBIRD_MGMT_API_ENDPOINT}}"
      NETBIRD_MGMT_GRPC_API_ENDPOINT: "{{NETBIRD_MGMT_API_ENDPOINT}}"
      NGINX_SSL_PORT=: "433"
      LETSENCRYPT_DOMAIN: "{{NETBIRD_DOMAIN}}"
      LETSENCRYPT_EMAIL: "{{NETBIRD_LETSENCRYPT_EMAIL}}"
      AUTH_REDIRECT_URI: "{{NETBIRD_AUTH_REDIRECT_URI}}"
      AUTH_SILENT_REDIRECT_URI: "{{NETBIRD_AUTH_SILENT_REDIRECT_URI}}"


- include_tasks: roles/container_base/tasks/create_container.yml
  vars:
    app_name: "netbird-signal"
    app_image: "docker.io/netbirdio/signal:latest"
    app_dir_volumes:
      - "{{ volume_root_dir }}/signal/signal_conf:/var/lib/netbird:Z,rbind,noexec"

- include_tasks: roles/container_base/tasks/create_container.yml
  vars:
    app_name: "netbird_management"
    app_image: "docker.io/netbirdio/management:latest"
    app_dir_volumes:
      - "{{ volume_root_dir }}/signal/signal_conf:/var/lib/netbird:Z,rbind,noexec"
      - "{{ volume_root_dir }}/management/management_netbird:/var/lib/netbird:Z,rbind,noexec"
      - "{{ volume_root_dir }}/management/management_json:/etc/netbird/management.json:Z,rbind,noexec"

- include_tasks: roles/container_base/tasks/create_container.yml
  vars:
    app_name: "netbird_coturn"
    app_image: "docker.io/coturn/coturn"
    app_dir_volumes:
      - "{{ volume_root_dir }}/dashboard/letscript_vol:/etc/letsencrypt:Z,rbind,noexec"

- include_tasks: roles/container_base/tasks/create_container.yml
  vars:
    app_name: "netbird_mindflavor"
    app_image: "docker.io/mindflavor/prometheus-wireguard-exporter"
